/*
 * ethtest.c
 *
 * x-kernel v3.3
 *
 * Copyright (c) 1993,1991,1990,1996  Arizona Board of Regents
 *
 * $Revision: 1.2 $
 * $Date: 1996/02/01 15:36:43 $
 */

/*
 * Ping-pong test of the ethernet protocol
 */

#include "xkernel.h"
#include "eth.h"
#include "xsim.h"

#define HOST_TYPE ETHhost
#define INIT_FUNC ethtest_init
#define TRACE_VAR ethtestp
#define PROT_STRING "eth"

/* 
 * If a host is booted without client/server parameters and matches
 * one of these addresses, it will come up in the appropriate role.
 */
static HOST_TYPE ServerAddr = { 0xc002, 0x0408, 0x0000 };
static HOST_TYPE ClientAddr = { 0xc002, 0x0409, 0x0000 };

#define TRIPS 1
#define TIMES 1
#define DELAY 1

/*
 * Define to do timing calculations
 */
#define TIME	 


static int lens[] = { 
  1, 200, 400, 600, 800, 1000, 1200
};


#define SAVE_SERVER_SESSN
#define STR2HOST	str2ethHost
#define XNETSIM

#include "common_test.c"

static void
testInit()
{
}
